import Vue from 'vue'
import _private from './private'

const Private = {
	instance: null,
}

Private.show = ()=> {
	if (!this.instance) {
	  this.instance = new (Vue.extend(_private))({}).$mount()
	  document.body.prepend(this.instance.$el)
	}
	this.instance.show = true
}

export default Private
