import Vue from 'vue'
import {Notify} from 'vant'

const storage = {
  getItem(key) {
    let val
    //Notify({message: `get${window.plus}`})
    // if (window.plus) {
    //   val = plus.storage.getItem(key)
    // } else {
    //   val = localStorage.getItem(key)
    // }
    val = localStorage.getItem(key)
    try {
      val = JSON.parse(val)
    } catch (e) {}
    return val
  },
  setItem(key, val = '') {
    const type = typeof val
    if (type !== 'string') val = JSON.stringify(val)
    //Notify({message: `set${window.plus}`})
    // if (window.plus) {
    //   plus.storage.setItem(key, val)
    // } else {
    //   localStorage.setItem(key, val)
    // }
    localStorage.setItem(key, val)
  },
  getCompany() {
    return new Promise((resolve, reject)=> {
      const currentCompany = this.getItem('currentCompany')
      const companyList = this.getItem('companyList')
      resolve({ currentCompany, companyList })
    })
  },
}

Vue.prototype.$storage = storage

export default storage
