export function getPermissionAll() {
  const permission = {
    /**
     * 菜单权限
     * */
    // 客户
    menu_customer: 'menu_customer',
    // 成交单
    menu_trading_record: 'menu_trading_record',
    // 人事
    menu_hr: 'menu_hr',
    // 系统设置
    menu_system_set_up: 'menu_system_set_up',
    // 量化报表
    menu_quantify: 'menu_quantify',
    // 在线申请单
    menu_apply: 'menu_apply',
    // 财务管理
    menu_finance: 'menu_finance',
    // 任务管理
    menu_task: 'menu_task',







    /**
     * 页面权限
     * */
    // 客户事件
    page_customer_event: '/customer/customer_event',
    // 客户管理
    page_customer_manage: '/customer/customer_manage',
    // 公客
    page_customer_public: '/customer/customer_public',
    // 废弃客户
    page_customer_abandoned: '/customer/customer_abandoned',
    // 客户导入
    page_customer_import: '/customer/customer_import',
    // 成交单管理
    page_trading_record_manage: '/trading_record/trading_record_manage',
    // 个人佣金
    page_trading_record_personal_commission: '/trading_record/personal_commission',
    // 佣金统计
    page_trading_record_commission_statistics: '/trading_record/commission_statistics',
    // 公式设置
    page_trading_record_formula_set_up: '/trading_record/formula_set_up',
    // 员工管理
    //page_erp_staff_manage: '/erp/staff',
    // 权限管理
    //page_erp_permission_manage: '/erp/permission',
    // 账号信息
    //page_erp_my_account: '/erp/my_account',
    // 部门员工
    page_erp_department_staff: '/erp/department_staff',
    // 职位权限
    page_erp_position_permission: '/erp/position_permission',
    // 公司管理
    page_cms_company_manage: '/cms/company_manage',
    // 楼盘管理
    page_cms_estate_manage: '/cms/estate_manage',
    // 客户量化
    page_customer_quantify: '/customer/customer_quantify',




    /**
     * 点权限
     * */
    // 客户删除
    point_customer_delete_customer: 'point_customer_delete_customer',

    // 废弃客户删除
    point_customer_delete_abandoned_customer: 'point_customer_delete_abandoned_customer',

    // 我的客户导出
    point_customer_export_private_customer: 'point_customer_export_private_customer',

    // 我的客户添加
    point_customer_create_private_customer: 'point_customer_create_private_customer',

    // 我的客户编辑
    point_customer_update_private_customer: 'point_customer_update_private_customer',

    // 我的客户查看
    point_customer_preview_private_customer: 'point_customer_preview_private_customer',

    // 新增回访记录 （客户）
    point_customer_create_customer_revisit: 'point_customer_create_customer_revisit',
    // 删除回访记录 （客户）
    point_customer_delete_customer_revisit: 'point_customer_delete_customer_revisit',

    // 新增带看记录 （客户）
    point_customer_create_customer_guide_visit: 'point_customer_create_customer_guide_visit',
    // 删除带看记录 （客户）
    point_customer_delete_customer_guide_visit: 'point_customer_delete_customer_guide_visit',

    // 新增行程记录 （客户）
    point_customer_create_customer_journey_plan: 'point_customer_create_customer_journey_plan',
    // 删除行程记录 （客户）
    point_customer_delete_customer_journey_plan: 'point_customer_delete_customer_journey_plan',

    // 共享客户模块
    //point_customer_module_share_customer: 'point_customer_module_share_customer',
    // 新增共享客户 （客户共享给用户）
    point_customer_customer_share_to_user: 'point_customer_customer_share_to_user',
    // 取消共享客户 （客户取消共享给用户）
    point_customer_customer_cancel_share_to_user: 'point_customer_customer_cancel_share_to_user',

    // 客户联系方式添加
    point_customer_create_customer_contact_way: 'point_customer_create_customer_contact_way',
    // 客户联系方式编辑
    point_customer_update_customer_contact_way: 'point_customer_update_customer_contact_way',
    // 客户联系方式删除
    point_customer_delete_customer_contact_way: 'point_customer_delete_customer_contact_way',

    // 放入公客池
    point_customer_put_public_customer_pool: 'point_customer_put_public_customer_pool',
    // 转移客户
    point_customer_transfer_customer: 'point_customer_transfer_customer',
    // 放入废弃客户池
    point_customer_put_abandoned_customer_pool: 'point_customer_put_abandoned_customer_pool',
    // 转为私客
    point_customer_turn_into_private_customer_pool: 'point_customer_turn_into_private_customer_pool',
    // 还原到公客池
    point_customer_reduction_public_customer_pool: 'point_customer_reduction_public_customer_pool',
  }

  return permission
}
