/**
 * 模块   （字段相关的）
 * */
export function getModuleAll() {
  const moduleOptions = [
    { label: '客户模块', value: 'customer' },
    { label: '成交单模块', value: 'trading_record' },
    { label: '申请单模块', value: 'apply' },
  ]
  const moduleDictionary = {
    customer: '客户模块',
    trading_record: '成交单模块',
    apply: '申请单模块',
  }
  const enumModule = {
    customer: 'customer',
    trading_record: 'trading_record',
    apply: 'apply',
  }
  return {
    moduleOptions,
    moduleDictionary,
    enumModule,
  }
}


/**
 * 栏目   （页面栏相关的，例如：搜索栏、列表栏、详情栏等等）
 * */
export function getBarAll() {
  const barOptions = [
    { label: '客户管理搜索栏', value: 'customer_search_bar' },
    { label: '客户管理列表栏', value: 'customer_list_bar' },
    { label: '客户管理详情栏', value: 'customer_detail_bar' },
    //
    { label: '成交单管理搜索栏', value: 'trading_record_search_bar' },
    { label: '成交单管理列表栏', value: 'trading_record_list_bar' },
    { label: '成交单管理详情栏', value: 'trading_record_detail_bar' },
  ]
  const barDictionary = {
    customer_search_bar: '客户搜索栏',
    customer_list_bar: '客户列表栏',
    customer_detail_bar: '客户详情栏',
    //
    trading_record_search_bar: '成交单搜索栏',
    trading_record_list_bar: '成交单列表栏',
    trading_record_detail_bar: '成交单详情栏',
  }
  const enumBar = {
    customer_search_bar: 'customer_search_bar',
    customer_list_bar: 'customer_list_bar',
    customer_detail_bar: 'customer_detail_bar',
    //
    trading_record_search_bar: 'trading_record_search_bar',
    trading_record_list_bar: 'trading_record_list_bar',
    trading_record_detail_bar: 'trading_record_detail_bar',
  }
  return {
    barOptions,
    barDictionary,
    enumBar,
  }
}





/**
 * 类型  （字段的数据类型）
 * */
export function getTypeAll() {
  const typeOptions = [
    { label: '文本', value: 'input' },
    { label: '文本区域', value: 'textarea' },
    { label: '单选', value: 'select' },
    // { label: '多选', value: 'multiple_select' },
    { label: '数字', value: 'number' },
    { label: '日期', value: 'date' },
    { label: '日期时间点', value: 'datetime' },
    // { label: '文件', value: 'file' },
    // { label: '图片', value: 'img' },
  ]
  const typeDictionary = {
    input: '文本',
    textarea: '文本区域',
    select: '单选',
    multiple_select: '多选',
    number: '数字',
    date: '日期',
    datetime: '日期时间点',
    file: '文件',
    img: '图片',
  }
  const enumType = {
    input: 'input',
    textarea: 'textarea',
    select: 'select',
    multiple_select: 'multiple_select',
    number: 'number',
    date: 'date',
    datetime: 'datetime',
    file: 'file',
    img: 'img',
  }
  return {
    typeOptions,
    typeDictionary,
    enumType,
  }
}
