import Vue from 'vue';
import axios from 'axios'

const appId = 'wx7ea410f6fef44632';
const wxService = {
  redirectAuthQrcode: (param) => {
    const defaultParam = {
      appid: appId,
      response_type: 'code',
      scope: 'snsapi_base',
      state: 'STATE',
    }
    param = {...defaultParam, ...param}
    const arr = Object.keys(param).map(i => `${i}=${encodeURIComponent(param[i])}`)
    const url = `https://open.weixin.qq.com/connect/oauth2/authorize?${arr.join('&')}#wechat_redirect`
    location.assign(url)
  },
  oauthLogin(code) {
    return axios.post(`/apiproxy/wx/oauth/login?code=${code}`)
  }
}
export default wxService
