import { Icon, Button, Cell, Toast, Dialog, Popup, Sticky } from 'vant'
import TitleBar from 'src/components/title-bar'
import List from 'src/components/list/list'
import LjList from 'src/components/list/lj-list'
import LjNavBar from 'src/components/nav-bar/lj-nav-bar'

Toast.setDefaultOptions({ duration: 2000 })
Toast.setDefaultOptions('loading', { duration: 0, forbidClick: true })

export default {
	install(_vue) {
		_vue.use(Icon)
		_vue.use(Button)
		_vue.use(Cell)
		_vue.use(Toast)
		_vue.use(Dialog)
		_vue.use(Popup)
    _vue.use(Sticky)

		_vue.component(TitleBar.name, TitleBar)
		_vue.component(List.name, List)
    _vue.component(LjList.name, LjList)
    _vue.component(LjNavBar.name, LjNavBar)
	},
}
