import store from '../../vuex'



/**
 * 是否开启授权
 * */
function isOpenAuth() {
  return store.getters.openAuth || false
}


/**
 * 是否授权
* */
function isAuth() {
  return store.getters.authorizationCode || false
}


/**
 * 是否登录
 * */
function isLogin() {
  return store.getters.loginToken || false
}



const checkHelper = {
  isOpenAuth,
  isAuth,
  isLogin,
}


export default checkHelper
