import store from '../../vuex'


/**
 * 校验权限
 * */
export function checkPermission(permission) {
  const permissionMenuList = JSON.parse(JSON.stringify(store.getters.permissionList))
  let hasPermission = false
  //
  const validateFn = (arr, url)=> {
    arr.some((item)=> {
      let bool = false
      if (item.url === url) {
        bool = true
        hasPermission = true
      }
      if (item.child && item.child.length && !bool) {
        validateFn(item.child, url)
      }
      return bool
    })
  }
  validateFn(permissionMenuList, permission)
  //
  //console.log(hasPermission, permissionMenuList)
  return hasPermission
}
