import fieldUtilHelper from 'src/scripts/helper/util-helper/field'

/**
 * 客户来源
 * */
export function getCustomerSourceAll() {
  let customerSourceOptions = [
    { label: '53客服', value: '1' },
    { label: '来电客户', value: '2' },
    { label: '公客来源', value: '3' },
    { label: '网销对接', value: '4' },
    { label: '安居客端口', value: '5' },
    { label: '58端口', value: '6' },
    { label: '论坛', value: '7' },
    { label: '搜房', value: '8' },
    { label: '公司后台', value: '9' },
    { label: '今日头条', value: '10' },
    { label: '离线宝', value: '11' },
    { label: '营销页', value: '12' },
    { label: '合作客户', value: '13' },
    { label: '网络媒体', value: '14' },
    { label: '上门客户', value: '15' },
    { label: '朋友介绍', value: '16' },
    { label: '再次购买客户', value: '17' },
  ]
  let customerSourceDictionary = {
    1: '53客服',
    2: '来电客户',
    3: '公客来源',
    4: '网销对接',
    5: '安居客端口',
    6: '58端口',
    7: '论坛',
    8: '搜房',
    9: '公司后台',
    10: '今日头条',
    11: '离线宝',
    12: '营销页',
    13: '合作客户',
    14: '网络媒体',
    15: '上门客户',
    16: '朋友介绍',
    17: '再次购买客户',
  }
  //
  const fieldAll = fieldUtilHelper.getAppointFieldAll('customer', 'customerSource')
  customerSourceOptions = fieldAll.customerSourceOptions || []
  customerSourceDictionary = fieldAll.customerSourceDictionary || {}
  return {
    customerSourceOptions,
    customerSourceDictionary,
  }
}
