/**
*   操作动作。  创建、更新、删除等等
* */
const enumAction = {
  create: 'create', // 创建（添加）
  update: 'update', // 更新（编辑）
  delete: 'delete', // 删除
  submit: 'submit', // 提交、保存、确认等
  bind: 'bind', // 绑定
  preview: 'preview', // 预览
  download: 'download', // 下载
  export: 'export', // 导出
  reset: 'reset', // 重置
  refresh: 'refresh', // 刷新 （不影响分页）
  inquire: 'inquire', // 查询 （分页重置到第一页开始查）
  filter: 'filter', // 筛选
  sort: 'sort', // 排序
  pagination: 'pagination', // 分页（分页组件变化）
  dblclick: 'dblclick', // 双击
  // 组件事件action
  close: 'close', // 关闭
  blur: 'blur', // 失去焦点
  focus: 'focus', //  获得焦点
  clear: 'clear', // 清空
  input: 'input', // 在 input 值改变时触发
  change: 'change', // 值变化
  click: 'click', // 点击
  row_click: 'row_click', // 当某一行被点击
  row_dblclick: 'row_dblclick', // 当某一行被双击
  row_contextmenu: 'row_contextmenu', // 当某一行被鼠标右键点击
  cell_click: 'cell_click', // 当某个单元格被点击
  cell_dblclick: 'cell_dblclick', // 当某个单元格被双击
  head_cell_click: 'head_cell_click', // 当某个表头单元格被点击
  head_cell_dblclick: 'head_cell_dblclick', // 当某个表头单元格被双击
  select: 'select', //当用户手动勾选触发的事件
  select_all: 'select_all', // 当用户手动勾选全选触发的事件
  selection_change: 'selection_change', // 当选择项发生变化时会触发该事件
  mouseenter: 'mouseenter', // 鼠标移入事件
  mouseleave: 'mouseleave', // 鼠标移出事件
}



export {
  enumAction,
}
